[arch-commits] Commit in python-hunter/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Nov 4 06:37:29 UTC 2019


    Date: Monday, November 4, 2019 @ 06:37:29
  Author: felixonmars
Revision: 523443

archrelease: copy trunk to community-staging-x86_64

Added:
  python-hunter/repos/community-staging-x86_64/
  python-hunter/repos/community-staging-x86_64/PKGBUILD
    (from rev 523441, python-hunter/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: python-hunter/repos/community-staging-x86_64/PKGBUILD (from rev 523441, python-hunter/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2019-11-04 06:37:29 UTC (rev 523443)
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-hunter
+pkgver=3.0.3
+pkgrel=2
+arch=('x86_64')
+pkgdesc='Hunter is a flexible code tracing toolkit'
+license=('BSD')
+url='https://github.com/ionelmc/python-hunter'
+depends=('python-manhole' 'python-colorama')
+optdepends=('gdb: for remote support')
+makedepends=('python-setuptools' 'python-manhole' 'python-colorama' 'cython')
+checkdepends=('python-pytest-benchmark' 'python-virtualenv' 'python-pytest-runner' 'gdb'
+              'python-process-tests' 'python-aspectlib')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/ionelmc/python-hunter/archive/v$pkgver.tar.gz")
+sha512sums=('366346c7029ad2a5885ff6f1a374f26c351a1a3a57e045cb9752a30b80766876487497ee311e5350295e5eb540e99d038fa775722c3bf7e5291b707200d8b1c0')
+
+prepare() {
+  rm python-hunter-$pkgver/src/hunter/*.c
+}
+
+build() {
+  cd "$srcdir"/python-hunter-$pkgver
+  python setup.py build
+}
+
+check() {
+  # Hack to process .pth files properly
+  # ptrace needed to pass the remote tests
+
+  cd "$srcdir"/python-hunter-$pkgver
+  virtualenv "$srcdir/pyvenv" --system-site-packages
+  (
+    . "$srcdir/pyvenv/bin/activate"
+    python setup.py install
+    python setup.py pytest
+  ) || warning "Tests failed"
+}
+
+package() {
+  cd python-hunter-$pkgver
+  python setup.py install --root "$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list